complexType "ccmsk:CallSourceParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/msk
Content: | complex, 3 attributes, 3 elements
Defined: | globally in ccmsk.xsd, see XML source
Includes: | definitions of 2 attributes and 2 elements
Used: | at 2 locations

XML Representation Summary
<...
| checkAgentsForCall | = | xsd:boolean : "false"
| name | = | xsd:string
| sourceEnabled | = | xsd:boolean : "true"
| >
Content: | properties?, sourceToggleTime*, call*
</...>

Content Elements (3):

  call (type ccmsk:ProducedCallTypeParams), properties (type ssj:PropertiesParams), | sourceToggleTime (type ccmsk:TimeIntervalParams)

Known Direct Subtypes (2):

  ccmsk:ArrivalProcessParams, ccmsk:DialerParams

All Direct / Indirect Based Elements (3):

  arrivalProcess (type ccmsk:ArrivalProcessParams), defaultArrivalProcess (type ccmsk:ArrivalProcessParams), | dialer (type ccmsk:DialerParams)

Known Usage Locations

- In derivations of other global types (2):

  ccmsk:ArrivalProcessParams (as extension base), | ccmsk:DialerParams (as extension base)

Annotation
Defines the parameters for a call source generating inbound or outbound calls, possibly of more than one types. Call sources generating inbound calls are arrival processes while sources producing outbound calls are dialers. A call source can have two kinds of parents: a call center or a call type. When a source is a child of a call type, it is linked to that particular call type, and can generate calls of that type only. On the other hand, if a call source is bound to the call center, it can possibly generate calls of more than one types. In the latter case, `call` elements are used to assign probabilities to call types. The type of any new call is then generated randomly, using the given probability distribution, and independently of other calls.

The name assigned to the call source using the `name` attribute is not used by default, but it could be useful for debugging. The additional user-defined properties, set using the `properties` element, are also ignored, but they can be used by custom arrival processes and dialing policies.

Type Definition Detail

Type Derivation Tree ssj:Named ccmsk:CallSourceParams (extension)

XML Source (w/o annotations (5); see schema source)

<xsd:complexType abstract="true" name="CallSourceParams"> <xsd:complexContent> <xsd:extension base="ssj:Named"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="sourceToggleTime" type="ccmsk:TimeIntervalParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="call" type="ccmsk:ProducedCallTypeParams"> </xsd:element> </xsd:sequence> <xsd:attribute default="true" name="sourceEnabled" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="checkAgentsForCall" type="xsd:boolean"> </xsd:attribute> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (defined in this component only)
checkAgentsForCall

  Determines if the call source takes the presence of agents in agent groups into account when determining the type of a new call. This attribute applies for call sources producing calls of multiple types, and works as follows. When it is set to `true,` each time the call source produces a new call, it resets the probability of occurrence for call type `k` to 0 if no idle or busy agents capable of serving calls of type `k` is present. Probabilities for other call types are divided by the sum of remaining probabilities. Consequently, the call source produces a call of type `k` only if it can be routed to an agent, possibly after some waiting time. However, this check imposes additional overhead for each generated call. When this attribute is disabled, the call source may produce a call even if no connected agent can serve it.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccmsk:CallSourceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="checkAgentsForCall" type="xsd:boolean"> </xsd:attribute>

sourceEnabled

  Determines if the source producing calls of this type is active, i.e., if it produces calls. If this parameter is `true,` the call source is always active when performing a steady-state simulation. For simulation on a finite horizon, the activity of the call source can be influenced by `sourceToggleTime` elements. If this attribute is `false,` no call is generated by this source during the simulation.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccmsk:CallSourceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="sourceEnabled" type="xsd:boolean"> </xsd:attribute>

Content Element Detail (defined in this component only)
call

  Determines calls produced by this source. If the described call source is not attached to a specific call type, it generates calls of type k with probability p k . One can use `call` child elements to determine the call types generated by the source, along with the probabilities of each call type to be generated. If the given probabilities do not sum to 1, the values of p k are obtained by dividing the given probabilities by their sums. This element is not allowed if the call source is attached to a call type,

  Type: | ccmsk:ProducedCallTypeParams, complex content
  Defined: | locally, within (this) ccmsk:CallSourceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="call" type="ccmsk:ProducedCallTypeParams"> </xsd:element>

sourceToggleTime

  Determines the simulation times at which the call source is enabled. Each occurrence of this element represents a time interval during which the call source is enabled, i.e., produces calls. If this element is omitted, the call source is enabled from the beginning of the first main period to the end of the last main period. This element is ignored if the `sourceEnabled` attribute is set to `false.`

  Type: | ccmsk:TimeIntervalParams, empty content
  Defined: | locally, within (this) ccmsk:CallSourceParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="sourceToggleTime" type="ccmsk:TimeIntervalParams"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com